/*
=======================================================================
    INVITACION_BASICA
    
=======================================================================
    TABLA DE CONTENIDO
=======================================================================
    1. Estilos Generales
    2. Encabezado de presentación
    3. Frase personalizable: frase de motivación
    4. Fecha y lugar del evento
    5. Itinerario
    6. Dress code
    7. RSPV  
    8. Botón GOTOP
    9. Footer
*/

/*
=======================================================================
    1. ESTILOS GENERALES
=======================================================================
*/
/* Variables */
:root {
    --negro: #252525;
    --azul-oscuro: #001D3D;
    --azul-claro: #003566;
    --amarillo: #FBB445;
    --gris: #B4B4B4;
    --blanco: #E9ECEF;
    --font-tittle: 'Italiana', sans-serif;
    --font-base: 'Lato', sans-serif;
    --font-subtittle: 'Kings', cursive;
    --font-other: 'Merriweather', serif;
}

/* Desplazamiento en pagina */
html {
    scroll-behavior: smooth;
}

/* Selector universal */
*,
*::after,
*::before {
    margin: 0;
    padding: 0;
}

/* Color de pagina y tipografía base */
body {
    background-color: var(--blanco) !important;
    font-family: var(--font-base) !important;
}

/* Envoltorio de contenido */
.page-wrapper {
    position: relative;
    margin: 0 auto;
    width: 100%;
    min-width: 300px;
    z-index: 9;
    overflow: hidden;
    height: auto;
}

@media only screen and (max-width: 2500px) {
    .page-wrapper {
        overflow: hidden;
    }
}

/* Propiedades de animación de entrada*/
.hidden {
    opacity: 0;
    transition: all 0.9s ease-in;
}

.mostrar {
    animation: scale-up-center 0.7s;
    opacity: 1;
}

@keyframes scale-up-center {
    0% {
        transform: scale(.5)
    }

    100% {
        transform: scale(1)
    }
}

/* =======================================================================
    2. ENCABEZADO DE PRESENTACIÓN
======================================================================= */
/* Formato de fondo */
#hero {
    height: 50rem;
    background-image: url(../img/hero_banner.png);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

#hero .container {
    display: flex;
    justify-content: center;
    align-items: center;
}

/* Presentación del evento */
#hero #hero_titulo {
    font-family: var(--font-tittle);
    font-weight: lighter;
    font-size: 6.5vw;
    color: #FFF;
    text-align: center;
    text-transform: uppercase;
    letter-spacing: 4px;
}

/* Nombre de la escuela */
#hero #hero_escuela {
    font-family: var(--font-subtittle);
    font-weight: 500;
    font-size: 3em;
    color: #FFF;
    text-align: center;
}


/* =======================================================================
    3. FRASE PERSONALIZABLE: FRASE DE MOTIVACIÓN
======================================================================= */
/* Fondo de sección */
#presentacion {
    background-color: var(--azul-oscuro);
}

/* Frase */
#presentacion #p_texto {
    color: var(--gris);
    font-family: var(--font-other);
    font-size: 1.3em;
    font-style: italic;
    text-align: center;
}

/* Autor */
#presentacion #p_autor {
    color: var(--gris);
    font-family: var(--font-other);
    font-size: 1em;
    text-align: end;
}

/* =======================================================================
    3. FECHA Y LUGAR DEL EVENTO
======================================================================= */
/* Titulo de sección */
#fecha_ubicacion #f_titulo {
    color: var(--azul-oscuro);
    font-size: 3em;
    font-weight: 600;
    text-align: center;
}

/* Definicion de tarjeta */
#fecha_ubicacion .card {
    position: relative;
    display: flex;
    margin: 0 auto;
    background-color: var(--blanco);
    border-color: transparent !important;
}

/* Icono en tarjeta */
#fecha_ubicacion .card-body img {
    width: 5em;
    height: auto;
    display: flex;
    margin: 0 auto;
}

/* Titulo en tarjeta */
#fecha_ubicacion .card-body .card-title {
    color: var(--azul-claro);
    text-align: center;
    font-size: 1.6em;
    margin-top: 5%;
    font-weight: bolder;
}

/* Parrafo en tarjeta */
#fecha_ubicacion .card-body .card-text {
    color: var(--azul-claro);
    text-align: center;
    font-size: 1em;
    font-weight: 600;
}

/* Link de boton en tarjeta */
#fecha_ubicacion .card-body a {
    display: block;
    margin: 0 auto;
    text-decoration: underline;
    text-align: center;
    color: var(--negro);
    font-size: 0.9em;
    transition: 0.8s ease-in-out;
}

#fecha_ubicacion .card-body a:hover {
    color: var(--azul-claro);
    text-decoration: none;
    transition: 0.8s ease-in-out;
}

/* =======================================================================
    6. ITINERARIO
======================================================================= */
/* Titulo de sección */
#itinerario #i_titulo {
    color: var(--azul-oscuro);
    font-size: 3em;
    font-weight: 600;
    text-align: center;
}

/* Evento */
#itinerario #evento {
    color: var(--azul-claro);
    text-align: center;
    font-size: 1.6em;
    margin-top: 2%;
    font-weight: bolder;
    text-transform: uppercase;
}

/* Detalles del evento */
#itinerario #detalle {
    color: var(--negro);
    text-align: center;
    font-size: 1em;
    font-weight: 600;
}

/* Hora */
#itinerario #hora {
    color: var(--negro);
    text-align: center;
    font-size: 1em;
    font-weight: bolder;
}

/* =======================================================================
    7. DRESS CODE
======================================================================= */
/* Titulo sección */
#vestimenta #v_titulo {
    color: var(--azul-oscuro);
    font-size: 3em;
    font-weight: 600;
    text-align: center;
}

/* Información adicional */
#vestimenta p,
ul {
    color: var(--negro);
    font-size: 1em;
    font-weight: 600;
}

/* =======================================================================
    7. RSPV
======================================================================= */
/* Titulo sección */
#apoyo-mensajeria #m_titulo {
    color: var(--negro);
    font-size: 2em;
    text-align: center;
}

/* Diseño de botón */
#apoyo-mensajeria a {
    width: auto;
    height: 4rem !important;
    padding: 1rem 2rem 1rem 2rem;
    margin-top: 8rem;
    margin-bottom: 5rem;
    border-radius: 0.5rem;
    background-color: var(--azul-claro);
    text-align: center;
    color: var(--blanco);
    font-size: 1.3em;
    text-decoration: none;
    transition: 0.8s ease-in-out;
}

#apoyo-mensajeria a:hover {
    background-color: var(--gris);
    box-shadow: inset 20rem 0 0 0 var(--amarillo);
    color: var(--negro);
    text-decoration: none;
    transition: 0.8s ease-out;
}

@media screen and (max-width: 768px) {
    #apoyo-mensajeria a {
        padding: 0.8rem 1.5rem 0.8rem 1.5rem; 
        margin-top: 4rem; 
        margin-bottom: 3rem; 
        font-size: 1em;
    }
}

/* =======================================================================
    8. BOTON GOTOP
======================================================================= */
/* Contenedor de botones */
.float-button-container {
    position: fixed;
    bottom: 0.5rem;
    right: -0.9rem;
    width: 3rem;
    height: 6rem;
    z-index: -1;
}

/* Definicion de forma de boton GOTOP */
.float-button-container #gotop {
    width: 0rem;
    height: 0rem;
    margin-top: 0.5rem;
    background-color: #E6861F;
    border-radius: 45%;
    cursor: pointer;
    transition: 0.2s;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: -1;
}

/* Definicion de forma de boton Whatsapp */
.float-button-container #whatsapp {
    width: 0rem;
    height: 0rem;
    margin-top: 0.5rem;
    background-color: #25D366;
    border-radius: 45%;
    cursor: pointer;
    transition: 0.2s;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: -1;
}

/* Imagen de flecha boton GOTOP */
#gotop svg {
    width: 50%;
    margin: 15% 0% 0% 25%;
    transition: 0.2s;
}

/* Imagen de icono boton Whatsapp */
#whatsapp svg {
    width: 80%;
    margin: 5% 0% 0% 12%;
    transition: 0.2s;
}

/* Animacion de aparicion */
.show {
    z-index: 10;
}

.show #gotop {
    animation: popup 0.3s ease-in-out;
    width: 3rem;
    height: 3rem;
    z-index: 11;
}

.show #whatsapp {
    animation: popup 0.3s ease-in-out;
    width: 3rem;
    height: 3rem;
    z-index: 11;
}

.show #gotop img {
    transform: translate(-50%, -50%) scale(1);
}

.show #whatsapp img {
    transform: translate(-50%, -50%) scale(1);
}

@keyframes popup {
    0% {
        width: 0rem;
        height: 0rem;
    }

    50% {
        width: 2rem;
        height: 2rem;
    }

    100% {
        width: 3rem;
        height: 3rem;
    }
}

/* =======================================================================
    9. FOOTER
======================================================================= */
#section-rights p {
    color: #8d8d8d;
    margin-right: 5%;
}

/* Imagenes de redes */
#section-rights img {
    width: 30px;
    display: block;
    margin: 1% 0 15% 15%; 
 }
 
 /* Espacio entre imagenes de redes */
 #section-rights #redes img{
     margin:0 10px;
 }